<html>
    <head>
        <meta charset="utf-8">
        <title>
            Proyecto de Interfaces de Comunicación
        </title>
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
        <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
        <link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
        <script src="https://cdn.rawgit.com/openlayers/openlayers.github.io/master/en/v5.3.0/build/ol.js"></script>
<link rel="stylesheet" href="https://cdn.rawgit.com/openlayers/openlayers.github.io/master/en/v5.3.0/css/ol.css">
    </head>
    <body >
        <nav class="navbar navbar-inverse navbar-static-top">
            <div class="container-fluid">
                <div class="navbar-header">
                <a class="navbar-brand homeBtn" href="#">Proyecto de Interfaces de Comunicación</a>
                </div>
                <ul class="nav navbar-nav homeBtn">
                    <li class="active"><a href="#">Home</a></li>
                </ul>
                <ul class="nav navbar-nav navbar-right">
                  <li><a href="#" id="clean">Clean</a></li>
                </ul>
                <ul class="nav navbar-nav navbar-right">
                    <li><a href="#" id="redraw">Refresh</a></li>
                </ul>
                
            </div>
        </nav>
          
        <div class="container" id="home">
            <div class="row" style="height:90%">
                <div class="col-sm-12 col-md-12 col-lg-12" id="Map"></div>
            </div>
        </div> 


    </body>
    <script>
        /* Home button dynamic load */
        $(".homeBtn").click(function(){
            /* Clear */
            $(".container").html(
            '<div class="row" style="height:90%">'+
                '<div class="col-sm-12 col-md-12 col-lg-12" id="Map"></div>'+
            '</div>'
            );
            load_modules();
        });

        /* Buttons */
        $("#redraw").click(function(){
          refresh_front_end_map();
        });
        $("#clean").click(function(){
          clean_front_end_map();
        });

        /* Load modules function on Document Load */
        load_modules();
        function load_modules()
        {
            /* Load modules */
            $("#Map").load("map.html");
        }
    </script>
</html>